Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.dom3.as
Interface ASObjectList

Deprecated. The `ASObjectList` interface provides the abstraction of an ordered collection of AS nodes, without defining or constraining how this collection is implemented. `ASObjectList` objects in the DOM AS are live.

See also the Document Object Model (DOM) Level 3 Abstract Schemas and Load and Save Specification.

public interface ASObjectList

Method Summary
`int` | `getLength()` Deprecated. The number of `ASObjects` in the list.
`ASObject` | `item(int index)` Deprecated. Returns the `index`th item in the collection.

Method Detail

### getLength

    public int getLength()

  Deprecated.
  The number of `ASObjects` in the list. The range of valid child node indices is 0 to `length-1` inclusive.

### item

    public ASObject item(int index)

  Deprecated.
  Returns the `index`th item in the collection. The index starts at 0. If `index` is greater than or equal to the number of nodes in the list, this returns `null`.
  Parameters:
    `index` - index into the collection.
  Returns:
    The `ASObject` at the `index`th position in the `ASObjectList`, or `null` if that is not a valid index.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.